Environment Provisioning - Get Provisioning Currencies

Gets the list of available currencies for provisioning in a location.
Retrieves available currencies for environment provisioning in a location.

GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/currencies?api-version=2024-10-01

URI Parameters

Name In Required Type Description
location
path True

string

The location name.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

EnvironmentCurrencyResourceCollection

OK

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

401 Unauthorized

Unauthorized

Media Types: "text/plain", "application/json", "text/json"

403 Forbidden

Forbidden

Media Types: "text/plain", "application/json", "text/json"

404 Not Found

Not Found

Media Types: "text/plain", "application/json", "text/json"

429 Too Many Requests

Too Many Requests

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
EnvironmentCurrency

Represents a currency available for environment provisioning.

EnvironmentCurrencyResourceCollection

A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect.

FieldError

The error detail for a single field.

OperationErrorDetail

Structured error detail for a failed request.

ValidationResponse

Represents the response for validation of an operation.

EnvironmentCurrency

Represents a currency available for environment provisioning.

Name Type Description
code

string

The currency code (e.g. "USD").

isTenantDefault

boolean

Whether this is the tenant's default currency.

symbol

string

The currency symbol (e.g. "$").

EnvironmentCurrencyResourceCollection

A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect.

Name Type Description
collection

EnvironmentCurrency[]

Represents a currency available for environment provisioning.

FieldError

The error detail for a single field.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong with the field.

suggestedValue

string

A suggested or accepted value that would resolve the error.

OperationErrorDetail

Structured error detail for a failed request.

Name Type Description
code

string

The error code.

fieldErrors

<string,  FieldError>

Per-field error detail, keyed by field name.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

OperationErrorDetail

Structured error detail for a failed request.